Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyCurrent Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::PolicyCurrent:

[legend]
Collaboration diagram for CORBA::PolicyCurrent:

[legend]
List of all members.

## Public Types
typedef PolicyCurrent_ptr | _ptr_type
typedef PolicyCurrent_var | _var_type
## Public Methods
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
PolicyCurrent_ptr | _duplicate (PolicyCurrent_ptr obj)
PolicyCurrent_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
PolicyCurrent_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PolicyCurrent_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| PolicyCurrent (void)
virtual | ~PolicyCurrent (void)
## Private Methods
| PolicyCurrent (const PolicyCurrent &)
void | operator= (const PolicyCurrent &)

## Member Typedef Documentation

typedef PolicyCurrent_ptr CORBA::PolicyCurrent::_ptr_type

| Reimplemented from CORBA::Current.

typedef PolicyCurrent_var CORBA::PolicyCurrent::_var_type

| Reimplemented from CORBA::Current.

## Constructor & Destructor Documentation

CORBA::PolicyCurrent::PolicyCurrent | ( | void |  | ) | `[protected]`

CORBA::PolicyCurrent::~PolicyCurrent | ( | void |  | ) | `[protected, virtual]`

CORBA::PolicyCurrent::PolicyCurrent | ( | const PolicyCurrent & |  | ) | `[private]`

## Member Function Documentation

CORBA::PolicyCurrent_ptr CORBA::PolicyCurrent::_duplicate | ( | PolicyCurrent_ptr | obj | ) | `[static]`

const char * CORBA::PolicyCurrent::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Current.

virtual CORBA::Boolean CORBA::PolicyCurrent::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Current.

PolicyCurrent_ptr CORBA::PolicyCurrent::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Current.

PolicyCurrent_ptr CORBA::PolicyCurrent::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Current.

void CORBA::PolicyCurrent::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Current.

PolicyCurrent_ptr CORBA::PolicyCurrent::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Current.

CORBA::Boolean CORBA::PolicyCurrent::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Current.

void CORBA::PolicyCurrent::operator= | ( | const PolicyCurrent & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp